nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > > Struct Template Reference

`#include <json.hpp>`

## Static Public Attributes

static constexpr auto | value

## Member Data Documentation

## value

template<typename BasicJsonType , typename ConstructibleStringType >

static constexpr auto nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > >::value

staticconstexpr

Initial value:
=
std::is_constructible<ConstructibleStringType,
typename BasicJsonType::string_t>::value

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp

nlohmann::detail::is_constructible_string_type_impl< BasicJsonType, ConstructibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, ConstructibleStringType >::value > >::value
static constexpr auto value
Definition: json.hpp:2680